import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';
import 'package:fis_common/json_convert.dart';

import 'identityApply.m.dart';

class IdentityApplyService extends JsonRpcClientBase {
	IdentityApplyService(
		String host, {
		String serviceName = "IIdentityApplyService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				) {
		/// 注册响应实体反序列化处理器
		FJsonConvert.setDecoder((map) => IdentityApplyInfo.fromJson(map));
	}

	Future<List<IdentityApplyInfo>> getIdentityApplys(String sessionId,String userCode) async {
		var rpcRst = await call("GetIdentityApplys", [sessionId,userCode]);
		var result = (rpcRst as List).map((e)=>IdentityApplyInfo.fromJson(e as Map<String, dynamic>)).toList();
		return result;
	}

	Future<bool> applyFor(String sessionId,IdentityApplyInfo info,String extensionData) async {
		var rpcRst = await call("ApplyFor", [sessionId,info,extensionData]);
		return rpcRst;
	}

}

